Bug 728972 - Review Request: perl-Test-Vars - Detects unused variables
Summary: Review Request: perl-Test-Vars - Detects unused variables
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: perl-Test-Version
TreeView+ depends on / blocked
 
Reported: 2011-08-08 14:22 UTC by Paul Howarth
Modified: 2011-08-25 08:36 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Vars-0.001-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 00:52:21 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-08-08 14:22:32 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Vars/branches/fedora/perl-Test-Vars.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Test-Vars/perl-Test-Vars-0.001-2.fc17.src.rpm

Description:
Test::Vars finds unused variables in order to keep the source code tidy.

Comment 1 Emmanuel Seyman 2011-08-08 15:48:52 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-08-08 16:03:57 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3258753

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
None used, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
4ce99ba8318634a16a04e59b20cc5798  Test-Vars-0.001.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3258753
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=4,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.31 cusr  0.04 csys =  0.39 CPU)
Result: PASS

APPROVED.

Comment 3 Paul Howarth 2011-08-08 17:32:53 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Vars
Short Description: Detects unused variables
Owners: pghmcfc
Branches: EL-6 F-14 F-15 F-16
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2011-08-08 17:47:39 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-08 19:06:51 UTC
perl-Test-Vars-0.001-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-Vars-0.001-2.fc15

Comment 6 Fedora Update System 2011-08-08 19:06:59 UTC
perl-Test-Vars-0.001-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Test-Vars-0.001-2.fc16

Comment 7 Fedora Update System 2011-08-08 19:07:08 UTC
perl-Test-Vars-0.001-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Vars-0.001-2.fc14

Comment 8 Fedora Update System 2011-08-08 19:07:17 UTC
perl-Test-Vars-0.001-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-Vars-0.001-2.el6

Comment 9 Fedora Update System 2011-08-08 20:49:43 UTC
perl-Test-Vars-0.001-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-08-17 00:52:16 UTC
perl-Test-Vars-0.001-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-08-17 01:05:46 UTC
perl-Test-Vars-0.001-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-08-22 15:01:08 UTC
perl-Test-Vars-0.001-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-08-24 23:54:17 UTC
perl-Test-Vars-0.001-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.